Interface AtlasMapEndpointBuilderFactory.AtlasMapBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- AtlasMapEndpointBuilderFactory
public static interface AtlasMapEndpointBuilderFactory.AtlasMapBuilders
-
Method Summary
Modifier and TypeMethodDescriptionatlasmap()AtlasMap (camel-atlasmap) Transforms the message using an AtlasMap transformation.AtlasMap (camel-atlasmap) Transforms the message using an AtlasMap transformation.AtlasMap (camel-atlasmap) Transforms the message using an AtlasMap transformation.
-
Method Details
-
atlasmap
AtlasMap (camel-atlasmap) Transforms the message using an AtlasMap transformation. Category: transformation Since: 3.7 Maven coordinates: org.apache.camel:camel-atlasmap- Returns:
- the dsl builder for the headers' name.
-
atlasmap
AtlasMap (camel-atlasmap) Transforms the message using an AtlasMap transformation. Category: transformation Since: 3.7 Maven coordinates: org.apache.camel:camel-atlasmap Syntax:atlasmap:resourceUriPath parameter: resourceUri (required) Path to the resource. You can prefix with: classpath, file, http, ref, or bean. classpath, file and http loads the resource using these protocols (classpath is default). ref will lookup the resource in the registry. bean will call a method on a bean to be used as the resource. For bean you can specify the method name after dot, eg bean:myBean.myMethod. This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
path- resourceUri- Returns:
- the dsl builder
-
atlasmap
default AtlasMapEndpointBuilderFactory.AtlasMapEndpointBuilder atlasmap(String componentName, String path) AtlasMap (camel-atlasmap) Transforms the message using an AtlasMap transformation. Category: transformation Since: 3.7 Maven coordinates: org.apache.camel:camel-atlasmap Syntax:atlasmap:resourceUriPath parameter: resourceUri (required) Path to the resource. You can prefix with: classpath, file, http, ref, or bean. classpath, file and http loads the resource using these protocols (classpath is default). ref will lookup the resource in the registry. bean will call a method on a bean to be used as the resource. For bean you can specify the method name after dot, eg bean:myBean.myMethod. This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- resourceUri- Returns:
- the dsl builder
-